## akonadi 20.08.1

=== debian/changelog ===
akonadi (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:00 +0100

akonadi (4:20.08.0-0ubuntu2) groovy; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 14:45:49 +0100

akonadi (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop included fix-apparmor-profiles.patch
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:18:20 +0100

akonadi (4:19.12.3-0ubuntu7) groovy; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Aug 2020 08:40:17 +0100

akonadi (4:19.12.3-0ubuntu6) groovy; urgency=medium

  * akonadi-server: Depend on alternative backends.
  * akonadi-backend-mysql: Depend on mariadb, as mysql-8 is not
    supported upstream.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 21:36:12 +0100

akonadi (4:19.12.3-0ubuntu5) groovy; urgency=medium

  * No-change rebuild against libkaccounts2.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jul 2020 21:39:28 +0100

akonadi (4:19.12.3-0ubuntu4) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 08:54:52 +0000

akonadi (4:19.12.3-0ubuntu3) groovy; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 15:12:22 +0100
