## akonadi 20.08.2

=== debian/changelog ===
akonadi (4:20.08.2-3) unstable; urgency=medium

  * Team upload.
  * Unregister the old /etc/xdg/akonadi.categories, and
    /etc/xdg/akonadi.renamecategories conffiles. (Closes: #946512)
  * Explicitly add the gettext build dependency.
  * Minimize the upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Wed, 28 Oct 2020 10:24:03 +0100

akonadi (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:07:40 +0200

akonadi (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * Update patch hunks.
  * Remove backported patch.
  * Update copyright file for 20.08.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:51:55 +0200

akonadi (4:20.04.1-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Fix AppArmor profile patch for Mariadb 10.5.

 -- Sandro Knauß <hefee@debian.org>  Wed, 30 Sep 2020 13:04:52 +0200

akonadi (4:20.04.1-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Fix AppArmor profile for Mariadb 10.5.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 Sep 2020 12:49:10 +0200

akonadi (4:20.04.1-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add linkage against atomic, where needed. (Closes: #961647)
    Thanks to Adrian Bunk <bunk@debian.org>

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 11:52:12 +0200

akonadi (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:26 +0200

akonadi (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * New upstream release (19.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Enable build for designer plugins.
  * Bump compat level to 13.
  * Update Build-Depends.
  * Update libkf5akonadi-dev: Designer plugin was renamed.
  * Use apparmor profiles from upstream.
  * Switch to dh for building.
  * use execute_after_dh_install for dh_apparmor.
  * Enable auto_tests(mark them non-failing).
  * New upstream release (20.04.0).
  * Wrap long lines in changelog entries: 4:18.08.3-6, 4:16.04.3-2,
    4:16.04.3-1, 4:16.04.2-2, 4:16.04.1-1, 1.3.1-3ubuntu1, 1.2.1-
    1ubuntu1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Cleanup copyright file.
  * Remove unused license definitions for Expat.
  * Remove not needed linker flags.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:20:28 +0200
